@font-face {
    font-family: "Lato";
    src: url(assets/Lato-Light.ttf);
}

@font-face {
    font-family: "Raleway";
    src: url(assets/Raleway-Regular.ttf);
}
@font-face {
    font-family: "Raleway";
    font-weight: bold;
    src: url(assets/Raleway-ExtraBold.ttf);
}

.info{
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    margin: auto;
}

h1{
    z-index: 9999;
    font-family: Raleway;
    font-weight: bold;
    font-size: 70px;
    color: white;
}
h2{
    z-index: 9999;
    font-family: Raleway;
    font-weight: regular;
    font-size: 30px;
    margin-top: 5px;
    color: white;
}
h3{
    position: absolute;
    z-index: 9999;
    text-align: center;
    bottom: 15px;
    left: 40vw;
    right:40vw;
    width: 20vw;
    font-family: Lato;
    font-size: 15px;
    letter-spacing: 2px;
    color: white;
}

h4{
    z-index: 9999;
    font-family: Lato;
    font-size: 20px;
    letter-spacing: 3px;
    margin-top: 30px;
    color: white;
}

.icon{
    z-index: 9999;
}

body{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}







.wrapper{
    max-width: 1200px;
    height: auto;
    overflow: hidden;
}



.header{
    display: flex;
    /* width: 100vw; */
    width: 100%;
    height: 100vh;
    align-items: center;
    flex-flow: column;
    justify-content: center;


    background-color: black;
    background-image: url("assets/plage.png");
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    overflow: hidden;
}

.display{
    font-family: Raleway;
    font-weight: bold;
    font-size: 70px;
    color: white;
    text-shadow: -5px 10px 50px rgba(0, 0, 0, 0.5);
    margin-bottom: 5px;
}
.sub_display{
    font-family: Raleway;
    font-size: 31px;
    color: white;
    text-shadow: -5px 10px 40px rgba(0, 0, 0, 0.5);
}









.container{
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: azure;
    overflow: hidden;
    padding-top: 100px;
    padding-bottom: 100px;
}

.title{
    font-family: Raleway;
    font-weight: bold;
    font-size: 50px;
    color: #2b2b2b;
    margin-top: 5px;
    margin-bottom: 5px;
}

.sub_title{
    font-family: Lato;
    font-size: 31px;
    margin-bottom: 30px;
    color:#2b2b2b;
}

.text{
    display: flex;
    font-family: Raleway, Arial, Helvetica, sans-serif;
    font-size: 25px; 
    line-height: 32px;
    letter-spacing: 5px;
    color:#2b2b2b;
    line-height: 40px;
    letter-spacing: 0.8px;
    text-align: center;
}








.container_skills{
    /* gérer ici le flex wrap */
    display: flex;
    width: 100%;
    height: auto;
    align-items: center;
    flex-flow: column;
    justify-content: center;
    background-color: black;
    background-image: url("assets/info.jpg");
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    overflow: hidden;
    padding-top: 120px;
    padding-bottom: 120px;
}


.skills_blocks{
    display: flex;
    flex-direction: row;
    max-width: 1200px;
}

.skill_block{
    display: flex;
    flex-flow: column;
    align-items: center;
    width: 100%;
    padding-left: 50px;
    padding-right: 50px;
}

.skills_title{
    font-family: Lato;
    font-size: 50px;
    color: #ffffff;
    margin-top: 5px;
    margin-bottom: 70px;
    text-shadow: -5px 10px 50px rgba(0, 0, 0, 0.5);
}

.skill_img{
    width: 60px;
    height: auto;
    fill: white;
}
.skill_title{
    font-family: Raleway;
    font-weight: bold;
    padding-top: 15px;
    padding-bottom: 15px;
    font-size: 31px; 
    color: #ffffff;
    text-shadow: -5px 10px 50px rgba(0, 0, 0, 0.5);

}
.skill_text{
    text-align: justify;
    font-family: Raleway;
    font-size: 23px;
    line-height: 30px;
    color: #c9c9c9;
}






















.container_project{
    display: flex;
    width: 100%;
    height: auto;
    align-items: center;
    flex-flow: column;
    justify-content: center;
    background-color: rgb(255, 255, 255);
    overflow: hidden;
    padding-top: 120px;
    padding-bottom: 120px;
}
.projects_container{
    max-width: 1400px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-flow: row;
    justify-content: center;
    flex-wrap: wrap;
}
.project{
    /* background-color: #2b2b2b; */
    display: flex;
    margin: 20px;
    width: 27%;
    padding-bottom: 27%;
    border-radius: 5px;
    filter: drop-shadow(0px 16px 20px #606a84a1); 
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}
.project:hover {
    /* BUG CHROME */
    /* transform: scale(1.08); */
}
.project_image{
    position: absolute;
    width:100%;
    height:100%;
    object-fit: cover;
}
.middle{
    position: absolute;

    font-size: 25px;
    opacity: 0;
    z-index: 9999;
    /* padding: 20px; */
    background: #00000062;
    height: 100%;
    width: 100%;
    color: white;
    transition: all 0.3s ease;

    display: flex;
    flex-flow: column;
    align-items: center;
}
.middle p{
    font-family: Raleway;
    padding: 34px;
    width:auto;
    height: 57%;
    overflow: hidden;
}
.project:hover .middle {
    opacity: 1;
}
.project img{
    transition: all 0.3s ease;  
    transform: scale(1);
    filter: blur(0px);
    backface-visibility: hidden;
    transform: translateZ(0) scale(1.0, 1.0);
}
.project:hover img {
    transform: scale(1.15);
    filter: blur(3px);
}
.middle a{
    text-decoration: none;
    display: flex;
    width: auto;
    height: auto;
    /* padding: 48px; */
    padding-top: 5%;
    padding-bottom: 5%;
    padding-left: 15%;
    padding-right: 15%;
    justify-content: center;
    position: absolute;
    border-radius: 3px;
    bottom: 10%;
    font-size: 25px;
}
.middle a:hover{
    background-color: white;
    border: turquoise 2px solid;
    color: turquoise;
}
.button_project{
    /* display: flex; */
    align-items: center;
    /* justify-content: center; */
    background-color: rgb(76, 212, 199);
    /* width: 350px;
    height: 100px; */
    border: rgb(255, 255, 255) 2px solid;

    font-family: Lato;
    font-size: 25px;
    color: #ffffff;
    transition: all 0.1s ease;
    vertical-align: middle;
}

/* .image_container{
    position: absolute;
	width: auto;
	height: auto;
} */







.button{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(76, 212, 199);
    width: 350px;
    height: 100px;
    border: rgb(255, 255, 255) 2px solid;

    font-family: Lato;
    font-size: 25px;
    color: #ffffff;
    transition: all 0.1s ease;
}
.button:hover{
    background-color: white;
    width: 350px;
    height: 100px;
    border: turquoise 2px solid;
    
    font-family: Lato;
    font-size: 25px;
    color: turquoise;
}

a{
    text-decoration: none;
}
















.box{
    width:100%;
    height: 100%;
    background-color: blue;
}


.arrow{
    display: flex;
    position: absolute;
    width: 65px;
    transform: rotate(180deg);
    bottom: 1vh;
}